package jp.agentec.sinaburocast.entity;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name="t_member_notify_mail")
public class MemberNotifyMail extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "member_notify_mail_id")
	public Integer memberNotifyMailId;

	@Column(name = "enquete_id")
	public Integer enqueteId;

	@Column(name = "notify_mail_send_flg")
	public Integer notifyMailSendFlg;

	@Column(name = "notify_mail_send_to")
	public String notifyMailSendTo;

	@Column(name = "notify_mail_send_bcc")
	public String notifyMailSendBcc;

	public String subject;

	@Column(name = "mail_body")
	public String mailBody;

    /** MEnquete関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "enquete_id", referencedColumnName = "enquete_id")
    public Enquete enquete;

	/** NotifyMailSendResult関連プロパティ */
	@OneToMany(mappedBy = "MemberNotifyMail")
	public List<NotifyMailSendResult> notifyMailSendResult;
}
