package jp.agentec.sinaburocast.service;

import java.util.List;

import org.seasar.extension.jdbc.where.SimpleWhere;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

import jp.agentec.sinaburocast.entity.Prefecture;

@Component(instance=InstanceType.SINGLETON)
public class PrefectureService extends AbstractService<Prefecture> {

    public Prefecture findById(Integer prefectureId) {
        return select().id(prefectureId).getSingleResult();
    }

    public List<Prefecture> findAllOrderById() {
        return select().orderBy("prefectureId asc").getResultList();
    }
    
    // IDで検索
 	public Prefecture findNameById(Integer prefectureId) {
 		return select().where(new SimpleWhere().eq("prefectureId",prefectureId )).getSingleResult();
 	}
 	
}