package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class PrefectureServiceTest extends S2DaoTestCase {

	@Resource
	private PrefectureService prefectureService;

	public PrefectureServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("PrefectureServiceTest");
		suite.addTest(new PrefectureServiceTest("findById"));
		suite.addTest(new PrefectureServiceTest("findAllOrderById"));

		return suite;
	}

	public void findById() {
		System.out.println(prefectureService.findById(1));
	}
	
	public void findAllOrderById(){
		System.out.println(prefectureService.findAllOrderById());
	}
	
	
	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}



}
